import os
import logging
from logstash_formatter import LogstashFormatterV1
from statsd import StatsClient
from nameko_sentry import SentryReporter
from dotenv import load_dotenv


def init_statsd(prefix=None, host=None, port=8125):
    statsd = StatsClient(host, port, prefix=prefix)
    return statsd


def init_logger():
    logger = logging.getLogger()
    handler = logging.StreamHandler()
    formatter = LogstashFormatterV1()
    handler.setFormatter(formatter)
    logger.addHandler(handler)
    return logger


def init_sentry():
    return SentryReporter()


def init_dotenv(env_file='.nameko.env'):
    load_dotenv(os.path.join(os.getcwd(), env_file))